using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FingersDance.Data
{
    [Serializable]
    public class Session
    {
        private String _videoname = "";
        private String _videopath = "";
        private Dictionary<String, Project> _projects = new Dictionary<String, Project>();

        #region Constructor
        public Session(String Videoname, String Videopath)
        {
            _videopath = Videopath;
            _videoname = Videoname;
        }
        public Session()
        {}

        #endregion

        #region Properties
        public String VideoName
        {
            get { return _videoname; }
            set { _videoname = value; }
        }
        public String Videopath
        {
            get { return _videopath; }
            set { _videopath = value; }
        }

        public Dictionary<String, Project> Projects
        {
            get { return _projects; }
            set { _projects = value; }
        }

        #endregion
    }
}
